org.apache.ignite.ml.clustering.gmm

## Class GmmModel

- java.lang.Object
- - org.apache.ignite.ml.math.stat.DistributionMixture<MultivariateGaussianDistribution>
  - - org.apache.ignite.ml.clustering.gmm.GmmModel

- All Implemented Interfaces:
    Serializable, AutoCloseable, DeployableObject, IgniteModel<Vector,Double>, Model<Vector,Double>, Distribution

      public class GmmModel
      extends DistributionMixture<MultivariateGaussianDistribution>
      implements IgniteModel<Vector,Double>, DeployableObject

  Gaussian Mixture Model. This algorithm represents a soft clustering model where each cluster is gaussian distribution with own mean value and covariation matrix. Such model can predict cluster using maximum likelihood principle (see `predict(Vector)`). Also * this model can estimate probability of given vector (see `DistributionMixture.prob(Vector)`) and compute likelihood vector where each component of it is a probability of cluster of mixture (see `DistributionMixture.likelihood(Vector)`).
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GmmModel()`
    `GmmModel(Vector componentProbs, List<MultivariateGaussianDistribution> distributions)` Creates an instance of GmmModel.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getDependencies()` Returns dependencies of this object that can be object with class defined by client side and unknown for server.
    `Double` | `predict(Vector input)` Make a prediction for the specified input arguments.

    - ### Methods inherited from class org.apache.ignite.ml.math.stat.DistributionMixture

      `componentsProbs, countOfComponents, dimension, distributions, likelihood, prob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.IgniteModel

      `andBefore, andThen, andThen, close, combine, toString`

- - ### Constructor Detail

    - #### GmmModel

          public GmmModel(Vector componentProbs,
                          List<MultivariateGaussianDistribution> distributions)

      Creates an instance of GmmModel.
      Parameters:
        `componentProbs` - Probabilities of components.
        `distributions` - Gaussian distributions for each component.

    - #### GmmModel

          public GmmModel()

  - ### Method Detail

    - #### predict

          public Double predict(Vector input)

      Make a prediction for the specified input arguments.
      Specified by:
        `predict` in interface `Model<Vector,Double>`
      Parameters:
        `input` - Input arguments.
      Returns:
        Prediction result.

    - #### getDependencies

          public List<Object> getDependencies()

      Returns dependencies of this object that can be object with class defined by client side and unknown for server.
      Specified by:
        `getDependencies` in interface `DeployableObject`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021